请选择 进入手机版 | 继续访问电脑版
查看: 213|回复: 8

[求助(已解决)] unifi控制器WEB无法访问的奇葩问题,求高手赐教!

[复制链接]

1

主题

5

帖子

27

积分

口耳相传

Rank: 1

积分
27
发表于 2019-5-13 21:19:53 | 显示全部楼层 |阅读模式
阿里云上的unifi,使用2年了,上周突然无法访问WEB页面。
现在发现问题如下:
1.用netstat查看8443端口未处于监听状态,8080端口正常且在与AP交换数据。
2.使用top查看进程发现unifi进程时有时无,感觉好像一直在重启。
3.service unifi status显示unifi正常运行,如图。
22a.jpg



尝试过升级,重安装,均无效。跪求大佬提供解决办法或思路...
回复

使用道具 举报

4

主题

1567

帖子

5312

积分

版主

Rank: 15Rank: 15Rank: 15

积分
5312
发表于 2019-5-14 08:06:23 | 显示全部楼层
看一下server.log的记录,版本号?升级了之后,java也要升级到8
回复 支持 反对

使用道具 举报

1

主题

5

帖子

27

积分

口耳相传

Rank: 1

积分
27
 楼主| 发表于 2019-5-14 09:44:32 | 显示全部楼层
本帖最后由 1770 于 2019-5-14 09:58 编辑

server.log如下,感谢大佬帮分析下!没升级之前貌似是5.06?就出现了这个问题,java版本我确定一下 22b.jpg
回复 支持 反对

使用道具 举报

4

主题

1567

帖子

5312

积分

版主

Rank: 15Rank: 15Rank: 15

积分
5312
发表于 2019-5-14 16:57:14 | 显示全部楼层
mongo数据库丢失了,JAVA也没有啊…… 你什么时候卸载了数据库?没装上吧……还是数据库坏了?
2个途径:
   1.重新安装JAVA试试;
   2.这样搞不定的就建议重装吧,卸载干净了重启一遍再安装;不清楚咋卸载掉就重装系统,反正Linux比较快的。

Unifi的配置以前有备份么?备份的是哪个版本就安装哪个版本的,导入配置后再升级。
回复 支持 反对

使用道具 举报

1

主题

5

帖子

27

积分

口耳相传

Rank: 1

积分
27
 楼主| 发表于 2019-5-15 12:14:35 | 显示全部楼层
看来只有重新弄了,请教下,自动备份的数据是在哪个位置呢,然后怎么确定我之前的版本,因为我升级过一次了,感谢!
回复 支持 反对

使用道具 举报

4

主题

1567

帖子

5312

积分

版主

Rank: 15Rank: 15Rank: 15

积分
5312
发表于 2019-5-15 13:03:53 | 显示全部楼层
1770 发表于 2019-5-15 12:14
看来只有重新弄了,请教下,自动备份的数据是在哪个位置呢,然后怎么确定我之前的版本,因为我升级过一次了 ...

Linux下find 一下就有了,应该是*.unf文件。那个*号应该就是5.6.40这样的版本号。
回复 支持 反对

使用道具 举报

1

主题

5

帖子

27

积分

口耳相传

Rank: 1

积分
27
 楼主| 发表于 2019-5-17 14:56:57 | 显示全部楼层
备份找到导出来了,现在又出来个问题,安装相应版本的unifi之后,unifi启动不了  提示 Cannot locate Java Home,这是什么情况,怎么解决呢 。
我wget的相应版本deb, #apt-get update  # dpkg -i unifi_sysvinit_all.deb    #apt-get install -f   之前也是这样安装的,现在不行了。。。。求教
回复 支持 反对

使用道具 举报

4

主题

1567

帖子

5312

积分

版主

Rank: 15Rank: 15Rank: 15

积分
5312
发表于 2019-5-17 15:29:24 | 显示全部楼层
1770 发表于 2019-5-17 14:56
备份找到导出来了,现在又出来个问题,安装相应版本的unifi之后,unifi启动不了  提示 Cannot locate Java  ...

提示里不已经明确告诉你了,没找到JAVA诶,去下载一个JAVA8,安装就好了,再走你说的那些命令行;

记得是JAVA8。不是7也不是9、10、11
回复 支持 反对

使用道具 举报

1

主题

5

帖子

27

积分

口耳相传

Rank: 1

积分
27
 楼主| 发表于 2019-5-17 16:08:05 | 显示全部楼层
阿里云误我,奶奶个熊,之前都是java8  现在提供的是9..  我都没注意查看java版本,感谢提醒,已解决!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

优倍快网络技术咨询(上海)有限公司 沪ICP备13034452

© ubnt.com.cn All Rights Reserved.本站发布的所有内容,未经许可,不得转载.

快速回复 返回顶部 返回列表